javax.servlet.jsp

## Class ErrorData

- java.lang.Object
- - javax.servlet.jsp.ErrorData

    public final class ErrorData
    extends java.lang.Object

Contains information about an error, for error pages. The information contained in this instance is meaningless if not used in the context of an error page. To indicate a JSP is an error page, the page author must set the isErrorPage attribute of the page directive to "true".

Since:
  2.0
See Also:
  `PageContext.getErrorData()`

### Constructor Summary

Constructors
Constructor and Description
`ErrorData(java.lang.Throwable throwable, int statusCode, java.lang.String uri, java.lang.String servletName)` Creates a new ErrorData object.

### Method Summary

Methods
`java.lang.String` `getRequestURI()` Returns the request URI.
`java.lang.String` `getServletName()` Returns the name of the servlet invoked.
`int` `getStatusCode()` Returns the status code of the error.
`java.lang.Throwable` `getThrowable()` Returns the Throwable that caused the error.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorData

    public ErrorData(java.lang.Throwable throwable,
             int statusCode,
             java.lang.String uri,
             java.lang.String servletName)

Creates a new ErrorData object.

Parameters:
  `throwable` - The Throwable that is the cause of the error
  `statusCode` - The status code of the error
  `uri` - The request URI
  `servletName` - The name of the servlet invoked

### Method Detail

#### getThrowable

    public java.lang.Throwable getThrowable()

Returns the Throwable that caused the error.

Returns:
  The Throwable that caused the error

#### getStatusCode

    public int getStatusCode()

Returns the status code of the error.

Returns:
  The status code of the error

#### getRequestURI

    public java.lang.String getRequestURI()

Returns the request URI.

Returns:
  The request URI

#### getServletName

    public java.lang.String getServletName()

Returns the name of the servlet invoked.

Returns:
  The name of the servlet invoked